<eos-stepper submitLabel="{{'tour.submitLabel' | translate}}" [linear]="true" *ngIf="organization"
             (selectionChange)="selectChanged($event)" (submitted)="submit()" [selectedIndex]="selectedIndex">
  <cdk-step label="Verein anlegen" [completed]="orgaFormCompleted">
    <div class="row mb-3">
      <div class="col-md-12">
        <div class="card">
          <div class="card-heading">
            <h5>Lege zuerst einen Verein an</h5>
          </div>
          <div class="card-body">
            <eos-organization-form [touched]="orgaFormError" [organization]="organization"></eos-organization-form>
          </div>
        </div>
      </div>
    </div>
  </cdk-step>
  <cdk-step label="Ensemble anlegen" [completed]="ensembleForm.form.valid">
    <div class="row mb-3">
      <div class="col-md-6">
        <div class="card">
          <div class="card-heading">
            <h5>Lege als nächstes ein Ensemble und Register an</h5>
          </div>
          <div class="card-body">
            <form #ensembleForm="ngForm">
              <div class="form-group">
                <label for="nameInput" class="required">Ensemblename</label>
                <input id="nameInput" class="form-control" type="text"
                       #name="ngModel" [(ngModel)]="ensemble.name"
                       name="nameInput" placeholder="Mein Gesangesverein"
                       required>
                <app-show-form-errors [control]="name"></app-show-form-errors>
              </div>
            </form>
          </div>
        </div>
      </div>
      <div class="col-md-6">
        <eos-add-register [ensemble]="ensemble" (registerEmitter)="registerChanged($event)"></eos-add-register>
      </div>
    </div>
  </cdk-step>
  <cdk-step label="Mitglieder einladen">
    <div class="row mb-3">
      <div class="col-md-12">
        <div class="card">
          <div class="card-heading">
            <h5>Lade jetzt Mitglieder zu deinem Verein ein.</h5>
          </div>
          <div class="card-body table-responsive" *ngIf="invites">
            <small class="d-block mb-2">
              Du kannst hier neue Mitglieder zu deinem Verein hinzufügen.
              Wenn die Person onesemble noch nicht verwendet,
              bekommt sie automatisch eine Einladung an die angegebene E-Mail Adresse.
            </small>
            <p class="card-text">
              Du kannst unter Organisationen>Vereine auch nachher noch neue Mitglieder hinzufügen.
            </p>
            <form novalidate #inviteForm="ngForm">
              <div class="form-group">
                <div class="input-group">
                  <input class="form-control"
                         type="email" name="addUserMail"
                         id="addUserMail" placeholder="donald@duck.com"
                         [(ngModel)]="newMember.mail"
                         #addUserMail="ngModel"
                         required email>
                  <div class="input-group-append">
                    <button class="btn btn-success" type="button" (click)="inviteUser()" [disabled]="inviteForm.form.invalid">
                      <i class="fas fa-user-plus"></i>
                      <span class="d-none d-sm-inline-block pl-1">hinzufügen </span>
                    </button>
                  </div>
                </div>
                <app-show-form-errors [control]="addUserMail"></app-show-form-errors>
              </div>
            </form>
            <table class="table table-striped">
              <tbody>
              <tr *ngFor="let invite of invites">
                <div class="row p-2">
                  <div class="col-md-6">
                    {{invite.mail}}
                  </div>
                  <div class="col-md-6">
                    <div class="row">
                      <div class="col-8">
                      </div>
                      <div class="col-4">
                        <button class="btn btn-sm btn-outline-danger" (click)="deleteInvite(invite)">
                          <i class="fas fa-trash"></i>
                        </button>
                      </div>
                    </div>
                  </div>

                </div>
              </tr>
              <tr *ngIf="invites && invites.length <= 0">
                <td>Zur Zeit sind keine Benutzer eingeladen.</td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </cdk-step>
</eos-stepper>